# Function useAppSelector

- useAppSelector<TSelected>(selector, equalityFn?): TSelected

- #### Type Parameters

  - TSelected

  #### Parameters

  - selector: ((state: {
    backend: BackendState;
    bandwidth: {
    bandwidth: {
    maxValue: any;
    remained: any;
    };
    };
    currentAccount: SliceState;
    pocket: SliceState;
    }) => TSelected)
    - - (state): TSelected

      - #### Parameters

        - state: {
          backend: BackendState;
          bandwidth: {
          bandwidth: {
          maxValue: any;
          remained: any;
          };
          };
          currentAccount: SliceState;
          pocket: SliceState;
          }

          - ##### backend: BackendState

          - ##### bandwidth: {
            bandwidth: {
            maxValue: any;
            remained: any;
            };
            }

            - ##### bandwidth: {
              maxValue: any;
              remained: any;
              }

              - ##### maxValue: any

              - ##### remained: any

          - ##### currentAccount: SliceState

          - ##### pocket: SliceState

        #### Returns TSelected

  - `Optional` equalityFn: EqualityFn<NoInfer<TSelected>>

  #### Returns TSelected

  - Defined in work/deeplinks/deeplinks/imports/cyber/redux/hooks.ts:7
- useAppSelector<Selected>(selector, options?): Selected

- #### Type Parameters

  - Selected = unknown

  #### Parameters

  - selector: ((state: {
    backend: BackendState;
    bandwidth: {
    bandwidth: {
    maxValue: any;
    remained: any;
    };
    };
    currentAccount: SliceState;
    pocket: SliceState;
    }) => Selected)
    - - (state): Selected

      - #### Parameters

        - state: {
          backend: BackendState;
          bandwidth: {
          bandwidth: {
          maxValue: any;
          remained: any;
          };
          };
          currentAccount: SliceState;
          pocket: SliceState;
          }

          - ##### backend: BackendState

          - ##### bandwidth: {
            bandwidth: {
            maxValue: any;
            remained: any;
            };
            }

            - ##### bandwidth: {
              maxValue: any;
              remained: any;
              }

              - ##### maxValue: any

              - ##### remained: any

          - ##### currentAccount: SliceState

          - ##### pocket: SliceState

        #### Returns Selected

  - `Optional` options: UseSelectorOptions<Selected>

  #### Returns Selected

  - Defined in work/deeplinks/deeplinks/imports/cyber/redux/hooks.ts:7